DO $$ 
	DECLARE _path character varying(256) = 'patch-2024-06-20-EmailFolders_Count';

	BEGIN
		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Path"=_path) THEN
			RETURN;
		END IF;

		IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build">=4047) THEN
			RETURN;
		END IF;

		BEGIN
		
		ALTER TABLE public."EmailFolders" ADD "Total" int4 NULL;
		ALTER TABLE public."EmailFolders" ADD "Unread" int4 NULL;
		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

			EXCEPTION
				WHEN OTHERS THEN RAISE NOTICE '[ERR] patch-2024-06-20-EmailFolders_Count: %', SQLERRM;
		END;
	END;
$$
